<template>
  <div>
    <v-hover v-slot:default="{ hover }">
      <v-card class="mx-auto pt-3" color="grey lighten-4" max-width="400">
        <template v-if="team.avatar !== ''">
          <nuxt-link
            :to="{
              name: `about-id___${$i18n.locale}`,
              params: { id: team.id },
            }"
          >
            <v-img
              aspect-ratio="1.7778"
              contain
              :src="require(`../../assets/images/avatars/${team.avatar}`)"
              :srcset="require(`../../assets/images/avatars/${team.avatar}`)"
              :lazy-src="require(`../../assets/images/avatars/${team.avatar}`)"
            >
              <v-expand-transition>
                <div
                  v-if="hover"
                  class="d-flex transition-fast-in-fast-out orange darken-2 v-card--reveal display-1 white--text"
                  style="height: 100%"
                ></div>
              </v-expand-transition>
            </v-img>
          </nuxt-link>
        </template>
        <v-card-text class="pt-6 white" style="position: relative">
          <v-btn
            absolute
            color="orange"
            class="white--text"
            fab
            large
            right
            top
            :to="{
              name: `about-id___${$i18n.locale}`,
              params: { id: team.id },
            }"
          >
            <v-icon>mdi-account-circle</v-icon>
          </v-btn>
          <nuxt-link
            :to="{
              name: `about-id___${$i18n.locale}`,
              params: { id: team.id },
            }"
          >
            <div class="font-weight-light grey--text title mb-2">
              {{ $t(`teamMember.${team.id}.name`) }}
            </div>
          </nuxt-link>
          <h3 class="font-weight-bold orange--text mb-2">
            {{ $t(`teamMember.${team.id}.role`) }}
          </h3>
        </v-card-text>
      </v-card>
    </v-hover>
  </div>
</template>
<script>
export default {
  name: 'CardAvatar',
  props: {
    team: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {};
  },
};
</script>
